import request from '@/utils/request'

// 查询用户提现记录列表
export function listAccountCash(query) {
  return request({
    url: '/cai/accountCash/list',
    method: 'get',
    params: query
  })
}

// 查询用户提现记录详细
export function getAccountCash(id) {
  return request({
    url: '/cai/accountCash/' + id,
    method: 'get'
  })
}

export function accountCashSuccess(id) {
  return request({
    url: '/cai/accountCash/success',
    method: 'get',
    params: {id}
  })
}

export function accountCashFail(id,remark) {
  return request({
    url: '/cai/accountCash/fail',
    method: 'get',
    params: {id,remark}
  })
}

export function accountCashClose(id) {
  return request({
    url: '/cai/accountCash/close',
    method: 'get',
    params: {id}
  })
}

export function accountCashBatchSuccess(ids) {
  return request({
    url: '/cai/accountCash/batchSuccess',
    method: 'post',
    data: {ids}
  })
}
